> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shadeform.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# /instances/{id}/update

> Update mutable details about the instance. Set a value to null to delete it. Omit a value or leave undefined to keep unchanged.



## OpenAPI

````yaml post /instances/{id}/update
openapi: 3.0.0
info:
  description: >-
    Shadeform is a single API and platform for deploying and managing cloud
    GPUs.
  version: 1.0.0
  title: Shadeform API
  contact:
    name: Shadeform
    email: support@shadeform.ai
    url: https://www.shadeform.ai
servers:
  - description: Shadeform Production
    url: https://api.shadeform.ai/v1
security:
  - ApiKeyAuth: []
paths:
  /instances/{id}/update:
    parameters:
      - in: path
        name: id
        required: true
        example: d290f1ee-6c54-4b01-90e6-d701748f0851
        schema:
          type: string
          minimum: 1
        description: The instance id
    post:
      summary: /instances/{id}/update
      description: >-
        Update mutable details about the instance. Set a value to null to delete
        it. Omit a value or leave undefined to keep unchanged.
      operationId: InstancesUpdate
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateRequest'
      responses:
        '200':
          description: Confirms the update of an instance.
components:
  schemas:
    UpdateRequest:
      type: object
      properties:
        name:
          $ref: '#/components/schemas/Name'
        auto_delete:
          $ref: '#/components/schemas/AutoDelete'
        alert:
          $ref: '#/components/schemas/Alert'
        tags:
          type: array
          description: Add custom, searchable tags to instances.
          items:
            $ref: '#/components/schemas/Tag'
    Name:
      type: string
      example: cool-gpu-server
      description: The name of the instance
    AutoDelete:
      type: object
      description: Set a date or spend threshold to automatically delete the instance
      properties:
        date_threshold:
          $ref: '#/components/schemas/DateThreshold'
        spend_threshold:
          $ref: '#/components/schemas/SpendThreshold'
    Alert:
      type: object
      description: Set a date or spend threshold to receive an email alert
      properties:
        date_threshold:
          $ref: '#/components/schemas/DateThreshold'
        spend_threshold:
          $ref: '#/components/schemas/SpendThreshold'
    Tag:
      type: string
      example: tag1
      description: Tag for searching and grouping
    DateThreshold:
      type: string
      example: '2006-01-02T15:04:05-07:00'
      description: RFC3339 date string
    SpendThreshold:
      type: string
      example: '3.14'
      description: Valid decimal representation of a dollar amount
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````